Subject: Linux Frequently Asked Questions: TABLE OF CONTENTS [monthly posted]
From: [email-masked]
Date: Tue, 8 Jun 1993 14:46:45 GMT
Newsgroups: comp.os.linux,comp.os.linux.announce,comp.answers,news.answers

Archive-name: linux-faq/TOC
Last-Modified: 93/03/28
Version: 1.17

*********************************************************
*							*
*   TOC of the Frequently Asked Questions about Linux   *
*							*
*********************************************************

This post contains the TOC of the Linux FAQ (4 parts)
and a short introduction.

Hi Linuxers!

The original FAQ 1st version was posted on Dec. 19, 1991 by Robert Blum.

Most credits to Linus, Robert and Ted for the departure point of this
work. The first X11 section was written by Peter Hawkins, the rest was
either on the list posted by many (real) activists, not me ;-), either
in some other news groups, or else by direct posting to me (thanks
Humberto, Dan, Michael, Drew, Audoin). I haven't systematically
copyrighted them, so thanks to every one who participated even
indirectly to this FAQ.    

Since September 1992, the FAQ is co-written by:

WHO 			(WHAT) 		E-MAIL
=============================================================================
Michael K. Johnson  	(META-FAQ) 	[email-masked]
Matt Welsh		(GENERAL INFO)	[email-masked]
Zane Healy		(BBS INFO)	[email-masked]
Matt Welsh		(INSTALLATION)	[email-masked]
Peter MacDonald		(SLS INFO)	[email-masked]
Mark Komarinski 	(DOS) 	 	[email-masked]
Drew Eckhardt		(SCSI)		[email-masked] 
Rick Miller		(DEVICE INFO)	[email-masked]
Hongjiu Lu		(GCC)		[email-masked]
Krishna Balasubramanian (X11)		[email-masked] 
Rick Sladkey		(EMACS)		[email-masked]
Philip Copeland		(NET INFO)	[email-masked]
Brian McCauley		(LPD)		[email-masked]
Dirk Hohndel		(PROOF READER)	[email-masked]
Marc-Michel Corsini	(FAQ collector)	corsini@{labri,firmin}.greco-prog.fr
=============================================================================

If anyone is interested in participating with this FAQ, just send me a
note with: your name/e-mail and the section you want to maintain.  

Many of the questions could be avoided, if people had read the FAQ of
the following newsgroups: news.announce.newusers, comp.lang.c,
gnu.emacs.help,  comp.unix.questions, comp.windows.x.i386unix.  
 
[The last-change-date of this posting is always "two minutes ago".  :-)]

This is the introduction to a list of frequently asked questions (FAQ
for short) about Linux with answers (Yeap!).  This article contains a
listing of the sections *AND* queries.

This FAQ is supposed to reduce the noise level ;-) in the comp.os.linux
newsgroup, and spare the time of many activists. I will cross-post it each 
month to news.answers. This FAQ is NOT an introduction to UNIX, there
are many books for unix, and there is *also* a FAQ for unix (it's the
one of comp.unix.questions which contains things such as "How do I
remove a file named -". I DO NOT WANT TO ADD SUCH THINGS IN THIS FAQ
DEVOTED TO LINUX.

Some books to read: 
  The C Programming Language: Kernighan & Ritchie
  POSIX Programmer's Guide: D. Lewine
  Unix System Administration Handbook: Nemeth, Snyder & Seebass.
  Unix for the Impatient: Abrahams & Larson
  Unix System V Release 4, An Introduction, by Rosen, Rosinski and
    Farber; Publisher Osborne MacGraw-Hill.
  The X Windows System in a Nutshell: O'Reilly.
.....

This FAQ is available at the main Linux sites in the doc directory,
the addresses are given in section II. of this FAQ. There is also an
archive of (all) FAQs at rtfm.mit.edu [18.172.1.27]. Have a look in
the anonymous ftp directory: /pub/usenet/news.answers/linux-faq.
If you do not have anonymous ftp access, you can access the archive by
mail server. Send mail to [email-masked] with the words
"help" and "index" in the body on separate lines for more information.

The information in this multi-parts FAQ is likely to change relatively
quickly. If this is more than two months old (it was released on
June 1993) then you should obtain a new copy. See the paragraph
above for details of where to find a more recent version.

Please suggest any change, rephrasing, deletions, new questions,
answers ...  
Please include "FAQ" in the subject of messages sent to me about FAQ.  
Please send them to [email-masked] whatever will be the
>From part of this message. Finally discussion about the FAQ can be
done on the DOC Channel (see section II). 

Thanks in advance,
				Marc

The FAQ can be found in LaTeX version, thanks to Martin Schultze,
e-mail: [email-masked]

Future Plan:

	- provide FAQ as diff too, since it seems to stay stable
	  except for very few sections.
	- perform automatic post to c.o.l, c.o.l.a, c.a and n.a 
	  every month as I promised long time ago.

================================8<=====8<==============================
CONTENTS
	0.	WARNINGS				(part1)
	I.	LINUX GENERAL INFORMATION		(part1)
	II.	LINUX USEFUL ADDRESSES			(part1)
	III.	INSTALLATION and COMMON PROBLEMS	(part2)
	IV.	SOME CLASSICAL PROBLEMS			(part2)
	V.	LINUX and DOS				(part2)
	VI.	MISCELLANEOUS HINTS			(part3)
	VII.	MORE HINTS				(part3)
	VIII.	EMACS for LINUX				(part3)
	IX.	FEATURES				(part4)
	X.	GCC MISC INFORMATION			(part4)
	XI.	SCSI SPECIAL				(part4)
	XII.	X11, THE MINIMUM and MORE		(part5)
	XIII.	NETWORKING and LINUX			(part5)
	XIV.	EVERYTHING FOR PRINTING			(part5)

================================8<=====8<==============================

0. WARNINGS
===========

I. LINUX GENERAL INFORMATION 
=============================
   I.01)  What is linux?
   I.02)   Does Linux support GCC, TCP/IP, X-Windows, MGR, etc.?
   I.03)   What is the current state of Linux?
   I.04)  Linux sounds great, but where do I get it and how do I 
     install it? 
   I.05)  Sounds good, but all of these docs are very confusing. Is
     Linux really difficult to install and use?
   I.06)  What's the best advice you can give to a Linux newbie?
   I.07)  Does it run on my computer?
   I.08)   How much space will Linux take up on my hard drive?
   I.09)   Will Linux run on a PC or 286-AT? If not, why?
   I.10)   Will Linux run on a 386 Laptop?
   I.11)   Why the suggested 4Meg, for Linux?
   I.12)   How would this operate in an OS/2 environment?
   I.13)  (Dan) How long has Linux been publicly available?
   I.14)  How reliable is Linux, anyway?
   I.15)   What is the proper pronounciation for "Linux"?
   I.16)   What's about the copyright of linux?
   I.17)  Should I be a UNIX and/or a DOS wizard to install/use Linux?
   I.18)  Does Linux use TSS segments to provide multitasking?
   I.19)  If my PC runs under Linux, is it possible to ftp, rlogin,
     rsh etc.. to other Unix boxes?
   I.20)   Does linux do paging? Can I have virtual memory on my small
     machine?
   I.21)   Can I have tasks spanning the full 4GB of addressable 386
     memory? No more 64kB limits like in coherent or standard minix?
   I.22)   Does the bigger program sizes mean I can run X?
   I.23)   What are the differences, pros and cons compared to Minix ?
   I.24)   What are the pros and cons compared to 386BSD ?
   I.25)   Why can't we split comp.os.linux ?

II. LINUX USEFUL ADDRESSES 
=========================

II.A. LINUX ON THE NET: ftp, mailing-list
II.B. OBTAINING LINUX FROM BBS'S: everything about bbs

II.A. LINUX ON THE NET
~~~~~~~~~~~~~~~~~~~~~~
  II.01)  Where can I get linux?
  II.02)  I do not have FTP access, what can I do to get linux?
  II.03)  Is there a newsgroup or mailing-list about linux? 
  II.04)  Where can I get my questions answered? How about bug-reports?
     What do I put into a post to comp.os.linux?
  II.05)  Could you be more explicit about the multi-channel list?
  II.06)  How can I join the channel XXX on the linux-activists
     mailing list?
  II.07)  How can I leave the channel XXX on the linux-activists
     mailing list?
  II.08)  I'm not an hacker, what are the channels I could be interested
     in? 
  II.09)  Does there exist a place where the traffic of the newsgroup
     is kept?

II.B OBTAINING LINUX FROM BBS'S
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  II.10)   I don't have access to FTP, how can I obtain Linux?
  II.11)   I got this FAQ from a local BBS, or a friend, and I see there
     is a newsgroup called comp.os.linux .  I don't have access to USENET or
     mail, so how can I get the messages?
  II.12)   Do BBS's offer anything that the Internet does not?
  II.13)   What is a BBS?
  II.14)   How can I get a (Near) complete list of BBS's that carry Linux?
  II.15)   Now that I have a phone number, how do I go about accessing a
     BBS?
  II.16)   There is a local BBS that carries Linux, but it isn't on the
     latest Linux BBS List.  How do I go about submitting it for inclusion in
     the list? 
  II.17)   What can I do to help ensure the continued development of
     Linux?
  II.18)  What are File Requests?

III. INSTALLATION, SETUP, and COMMON PROBLEMS
=============================================

III.A. WHERE TO START: What are the reliable sources of information
III.B. LINUX PACKAGES: Where and how install a complete Linux package

III.C. SOME COMMON PROBLEMS: Simple problems and simple solutions

III.A. WHERE TO START
~~~~~~~~~~~~~~~~~~~~~
 III.01)  I want to install Linux on my machine. Where do I start?
 III.02)  Is there some kind of limit on how large my Linux partitions
     and/or filesystems can be?

III.B. LINUX PACKAGES
~~~~~~~~~~~~~~~~~~~~~
 III.03)  Does there exist a way to get all (or nearly all) of the Linux
     stuff?
 III.04)  Where can I get these releases of Linux?
 III.05)  What files do I need to get for the SLS release?
 III.06)  Now that I have the files, how do I install SLS?
 III.07)  Any other information about SLS?
 III.08)  How do I get and install H.J. Lu's "bootable rootdisk" release?

III.C. SOME COMMON PROBLEMS
~~~~~~~~~~~~~~~~~~~~~~~~~~~
 III.09)  What filetype is the extension ".z"? What about ".taz", 
     ".tpz", and ".tgz"? I see these files on the archives but I don't
     know how to unpack them.
 III.10)  How do I make partitions and/or filesystems for Linux?
 III.11)  Why does fdisk say "Linux cannot currently use XXXX sectors of
     this partition"? 
 III.12)  What does the message "MINIX-fs: Magic match failed" on bootup 
     mean?
 III.13)  Linux mkfs doesn't accept the size I give the device,
     although I double-checked with fdisk, and it's correct.
 III.14)   How can I get mkfs/mkefs to check for bad blocks?
 III.15)  How can I boot Linux off of my hard drive? 
 III.16)  I tried to install LILO, but screwed up somehow, and
     now can't boot anything from the hard drive. How can I fix this?
 III.17)  When installing SLS, I get the error "You may have inserted
     the wrong disk" when putting in the next disk in a series. What's
     going on?
 III.18)   When installing SLS, the installation script creates a "boot
     floppy" for me to boot Linux with. How can I make these myself (or fix
     problems with them?)
 III.19)  How can I set the default video mode used by Linux? Do I have
     to recompile the kernel to do this? 
 III.20)   How else can I use rdev?
 III.21)   When I login as non-root, I get tons of errors about
     "shell-init: permission denied". Also, some things work as root but
     not as a normal user. What's the deal?
 III.22)  I have the previous version of the Linux kernel, how can 
     I upgrade it?
 III.23)  Where is /usr/include/linux and /usr/include/asm, or,
     Why won't the kernel compile correctly?
 III.24)   How can I upgrade to the newest version of GCC and/or
     libraries? 
 III.25)  What's the deal with these things called "jump tables"? 
 III.26)  How to upgrade jump tables? (Without hanging my system)
 III.27)  How can I be sure I won't be writing over anything important
     when installing Linux?  I have to use DOS on my machine, and I don't
     want to lose any files.
 III.28)  I just rebooted my machine, and now Linux dies with a
     "panic: trying to free unused inode". What's going on?
 III.29)  Can I use both OS/2 and Linux on my machine??
 III.30)   I use OS/2's Boot Manager on my hard drive. How can I get it
     to recognize Linux?
 III.31)   When I run Linux's fdisk it says "OPUS" for OS/2's Boot
     Manager partition. Is this right? What's OPUS?

IV. SOME CLASSICAL PROBLEMS 
===========================
  IV.01)  While running du I get "Kernel panic: free_inode: bit
     already cleared".  Also, du produces a ENOENT error for all the files
     in certain of my directories.  What's going on?
  IV.02)  How can I partition my hard-drive to use Linux?
  IV.03)  I heard something about repartition a hard disk without
     deleting everything on it, any clue?
  IV.04)  What must I do to mkfs a floppy?
  IV.05)  I have some trouble with tar/untar; any clue ?
  IV.06)  I can do this as root but not as non-root, is it a bug?
  IV.07)  "du" reports twice the size showed with "ls -l", is it a
     bug?
  IV.08)  Sometimes, I get "mount can't open lock file"; what does this
     means? 
  IV.09)  When I try "mount /dev/hd?? /user", I get error 2.
  IV.10)  Since I have upgrade my Linux kernel, ps won't work anymore,
     why? 
  IV.11)  Since Linux 0.96b I have a lot of core file all over
     my disk. How can I sweep them away ?
  IV.12)  I can only log-in as "root", is it normal ?
  IV.13)  Sometimes my Linux virtual console get messed up when I cat
     a binary file. The characters shown are above ascii 127, any clue ?

V. LINUX and DOS 
=================
   V.01)  Is is possible to access DOS from Linux?
   V.02)  Why use mtools if you can just mount a drive?
   V.03)  How do I get the mtools package set up correctly?
   V.04)  What is the format of the file /etc/mtools?
   V.05)  Where can I find out more about mtools?
   V.06)  How do I use the DOS file system?
   V.07)   When I mount an MS-DOS disk, I get two lines of what seem to
     be error messages and the message: No bmap support.  Is my disk bad?
   V.08)  I want to use the DOS file system with either conv=binary or
     conv=auto, but I want to convert text files from DOS to UNIX format,
     or from UNIX to DOS format.
   V.09)  Where can I find out more about the DOS file system?
   V.10)  This sounds me like a chicken and eggs problem, how can I
     install the mtools package at the very beginning.
   V.11)  Could someone explain how to use rawrite?
   V.12)  What is as86.tar.Z ?
   V.13)  Turbo (Microsoft) Assembler won't compile the Linux boot
     code.  In fact, some of the opcodes in these files look completely
     unfamiliar.  Why?
   V.14)  What about the dos emulator (dosemu)?
   V.15)   I have a Stacker volume on my hard drive.  Can I access that?
   V.16)   How about OS/2 HPFS partitions, or MacIntosh/Amiga floppies?
     Can I mount any of them?

VI. MISCELLANEOUS HINTS 
=======================

VI.A Misc Information
VI.B Minor/Major Information

VI.C Serial Information

VI.A. Misc information
~~~~~~~~~~~~~~~~~~~~~~
  VI.01)  It seems that $#@! ported on linux don't run correctly, what
     do I do about reporting bugs?
  VI.02)  Has $#@! been ported to Linux?
  VI.03)  I've ported $#@! to Linux, what should i do to add it in the 
     standard distribution?
  VI.04)  I want to port $#@! to Linux, what are the flags?

VI.B. Major/Minor device number
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  VI.05)  What are the device minor/major numbers?
  VI.06)  (Chuck Boyer) Could some one clear up the devices meaning?

VI.C Special Serial
~~~~~~~~~~~~~~~~~~~
  VI.07)  Is there a list somewhere where I can get help with serial
        communications under Linux?
  VI.08)  When I run kermit under Linux, I get "Warning, Read access
        to lock directory denied". What am I doing wrong?
  VI.09)  What are the major, minor numbers for the serial ports under linux?
  VI.10)  can anyone give me a sample /etc/inittab entry for login
        from a pc attached to serial line /dev/ttys2?
  VI.11)  How do I set parameters like parity for serial login?
  VI.12)  (Juha Ursin) I run SLS pl6, kernel is pl8 and I use
     libc.4.3.2.
     Trying to allow login on my terminal (on ttyS1 with only three wires
     (RX, TX, GND) connected). Getty 9600 /dev/ttyS1 starts and I get the
     login prompt, but the password prompt newer appears.
  VI.13)  (Juha) Where are my Call-out-mode -serial ports (cuaX) ?,
     When should I use these cuaX ports ?, Why on my system ttys3 is used
     instead of ttyS3 ?
  VI.14)  (Juhan) What other possibly free IRQ's there are than IRQ5 ?,
     Can I use IRQ7 when not printing ?,

VII. MORE HINTS 
=============== 
 VII.01)  How can I backup my Hd under Linux ?
 VII.02)  Where is 'which' ?
 VII.03)  How to use setterm: for the novice?
 VII.04)  I've tried clear/reset which exist on most of unix but it
     doesn't work, have I missed something? 
 VII.05)  I know there are VC, but where is the setterm stuff?
 VII.06)  I know there are shared libraries; does there exist an easy
     way to check an executable for sharing ? 
 VII.07)  What is the rdev program provided in the images?
 VII.08)  How to start Linux from drive B?
 VII.09)  The program boot_b works fine /but/ once the first disk is
     read the system go back to the first drive, any hints?
 VII.10)  How can I get Linux to boot directly from the harddisk?
 VII.11)  I use shoelace, but I want to change my root partition, what
     is the process to get rid of it? 
 VII.12)  Sometimes, when I want to remove a directory, I get an error
     message, is it a (known) bug?
 VII.13)  I'm looking for init, getty, login, passwd stuff, where 
     can I find them? 
 VII.14)  How can I setup a user account other than root ?
 VII.15)  I've been trying to get Linux to run on my [3/4]86 box. It
     can't even boot. Any suggestions?
 VII.16)  Does there exist games, languages (other than C), and
     anything which make the system more friendly?
 VII.17)  Whenever I use uemacs 3.1X on a symlink, the symlink does
     not exist anymore, why?
 VII.18)  I have an SVGA, but Linux detect an EGAc/EGAm; is it normal?
 VII.19)  How can I change the keyboard repeat rate?
 VII.20)  I compiled fdformat.c and ran it on 1.44Mb and 1.2Mb, the
     results are unreadable, any clue? 
 VII.21)  Is it possible to disable the 3-fingers salute
     (ctrl-alt-del) ?
 VII.22)  Could some one explain the information provided at boot-time?
 VII.23)  What is the meaning of files ended by .T.Z (or .taz) ?
 VII.24)  What is the meaning of files ended by .T.z (or .tpz) ?
 VII.25)  I have upgraded the kernel from XX to YY (XX > YY), however the
     login screen still says YY.
 VII.26)  What is doshell good for ?
 VII.27)  I don't have the kernel sources, how can I change the keyboard
     language?
 VII.28)  Does there exist a possibility to track down the source of
     kernel pannic messages ?

VIII. EMACS for LINUX
=====================

VIII.A. GENERAL INFORMATION 
VIII.B. GNU EMACS for LINUX

VIII.A. GENERAL INFORMATION
~~~~~~~~~~~~~~~~~~~~~~~~~~~

VIII.B. GNU EMACS for LINUX
~~~~~~~~~~~~~~~~~~~~~~~~~~~
VIII.01)  What version of the compiler was used?  Which shared libaries?
VIII.02)  Which files do I need?
VIII.03)  How do I install them?
VIII.04)  What if I want to compile Emacs myself?
VIII.05)  What about Epoch or Lucid Emacs?  Are these available for Linux?
VIII.06)  Does Linux Emacs support eight-bit input/output?
VIII.07)  How much disk space is required?
VIII.08)  Why can't Emacs find its support files anymore?
VIII.09)  How do I get Emacs to recognize my cursor keys?
VIII.10)  What packages are particularly useful under Linux?
VIII.11)  Does Linux Emacs use the shared libraries?
VIII.12)  Does Linux Emacs support the X Window System?
VIII.13)  Do I need both Emacs if I don't always use X?
VIII.14)  Why doesn't Emacs use the settings in my
     .Xdefaults/.Xresources file? 
VIII.15)  I read about some menu that is supposed to pop up when I
     press some mouse button.  Does this work with Linux Emacs?
VIII.16)  Sometimes Emacs crashes with a SIGALRM message.  What's
     wrong? 

IX. FEATURES 
============
  IX.01)  I've read that linux has virtual consoles, what must I do to
     get them?
  IX.02)  When Linux boots, I get the following message "8 virtual
     consoles"; how can I acess to the 5-8 vc's ?
  IX.03)  What kind of shell is /bin/sh ?
  IX.04)  Does there exist a man page for **** ?
  IX.05)  Is there a simple man package (groff is too big):
  IX.06)  What are the editors available in linux?
  IX.07)  Does there exist a printer package for Linux?
  IX.08)  Are uucp, mail, and/or USENET news available for Linux?
  IX.09)  How do I make swapping work?
  IX.10)  When I boot I get one of the following messages:
     "Unable to find swap signature" or "Bad swap-space bitmap"
  IX.11)  How do I know if it is swapping?
  IX.12)  How is it possible to remove a swap file?
  IX.13)  How is it possible to remove a swap device?
  IX.14)  How much swap space do I need ?
  IX.15)  Could someone explain the swap process on Linux?, is it
     swapping or paging ?
  IX.16)  Is demand paging different from paging and How ?
  IX.17)  Is there any way to tell how much swap space you are using
     or have left? 
  IX.18)  I have a 2Megs box, but "free" reports only 1Meg why?
  IX.19)  What tape drives work with Linux ?
  IX.20)  Is there only the %$#@ keyboard ?
  IX.21)  (special FINNISH/US) I booteed up with the new image and
     everything work except that some keyboard keys produce wrong
     characters. Does anyone know what is happening?
  IX.22)  Does there exist shared libs ?
  IX.23)  Why do I need dynamic linking.
  IX.24)  How does dynamic linking work under linux?
  IX.25)  Does Linux work for SCSI drives?
  IX.26)  Linux is supposed to work with ESDI drive. However I have
     trouble with my Magtron MT-4115E (Joincom controler), any clue?
  IX.27)  How does one go about applying a patch to Linux ?
  IX.28)  There are a lot of patches available (ps patch, NFS patches,
     CD-ROM patches ...) can I be fairly confident the subsequent patches will
     work?
  IX.29)  I got the patches on some ftp sites, and applied them to the
     kernel and tried to compile. It didn't !!. Are the patches buggy?
  IX.30)  What is VFS?
  IX.31)  What's about Bus Mice ?
  IX.32)  What's about TeX ?
  IX.33)  What's about LILO ?
  IX.34)  What's about MGR ?
  IX.35)  I have successfully compiled MGR, but when I try to run the
     program I get "can't find mouse" or "already in use", any clue?
  IX.36)  Any tips for MGR?
  IX.37)  What's about X11 ?

X. GCC MISC INFORMATION
=======================

X.A. HLU Information
X.B. OTHERS

X.A. HLU Information
~~~~~~~~~~~~~~~~~~~~
   X.01)  I don't know how to install gcc stuff, is there special
     places?
   X.02)  What compiler should I use for Linux?
   X.03)  Where is the latest official gcc 2.xx for Linux?
   X.04)  Where is the latest official Linux C library?
   X.05)  What are the contents of them?
   X.06)  How do I install them?
   X.07)  What are the main differences with the old release?
   X.08)  Can I use the old version of gcc?
   X.09)  Can I delete the old shared image in /lib?
   X.10)  Is stdio ANSI compatible?
   X.11)  Is g++ in 2.xx?
   X.12)  Where can I get the gcc manual?
   X.13)  What options can I use for gcc?
   X.14)  How can I debug the C code?
   X.15)  Where is the source code of the new libc.a?
   X.16)  Why does g++ complain, even die?
   X.17)  How do I generate code for 486?
   X.18)  I heard malloc (0) wouldn't work with Linux, what should I
     do?
   X.19)  Why does gcc say "xxxxx..h not found"?
   X.20)  I really followed every step in the documentation, but when
     I do "make", why does it say "don't how to make xxxxxx"?
   X.21)  How do I compile programs under Linux?
   X.22)  How can I get bsd style signal?
   X.23)  Why does a program that should only poll for input become
     a CPU hog?
   X.24)  When a program is stopped using Ctrl-Z and then restarted,
     or in other situations that generate signals: Ctrl-C interruption,
     termination of a child process etc. why does it complain about
     "interrupted system call" or "write: unknown error" or things like that.

X.B. OTHERS
~~~~~~~~~~~
   X.25)  I seem to be unable to compile anything with gcc. Why?
   X.26)  gcc complains about not finding crt0.o and the system
     include files What am I doing wrong ?
   X.27)  I tried to port a /new/ version of gnu stuff. But in the
     linking phase, gcc complains about the missing libg.a. 
   X.28)  How to compile programs which may be debugged with gdb?
   X.29)  When compiling some code, cc1 complains about some insn
     code, what's that? 
   X.30)  When compiling #$@!, I've got some problems with "SIGBUS"
     signal that doesn't exist. Any clue ?
   X.31)  How can I write codes suitable for building shared library ?

XI. SCSI SPECIAL
================
  XI.01)  What hardware is supported?
  XI.02)  What hardware is not supported?
  XI.03)  How do I get SCSI information?
  XI.04)  Where is the latest version maintained?
  XI.05)  I've found one of the following bugs :
  XI.06)  What do I do if I find a bug that still looks like a 
     bug after I've read the FAQ?
  XI.07)  What SCSI disks are supported? 
  XI.08)  What about CD ROMS?
  XI.09)  What about SCSI tapes ? 
  XI.10)  How do I partition the disk?
  XI.11)  The linux partitioning programs don't work.
  XI.12)  My partitioning program can't figure out the disk geoemetry
  XI.13)  What are the major / minor numbers for SCSI drives?
  XI.14)  My tape drive or other removeable media device isn't recognized
     at boot time.
  XI.15)  How do I reduce kernel bloat and eliminate the drivers I
     don't want?
  XI.16)  I get SCSI timeouts.
  XI.17)  My Seagate / Future Domain TMC-88x board is not detected.
  XI.18)  The Seagate / Future Domain TMC-88x driver doesn't work.
  XI.19)  The Adaptec driver doesn't work.
  XI.20)  The WD-7000FASST driver doesn't work
  XI.21)  My Ultrastor 14F or 34F isn't detected 
  XI.22)  When using a Seagate / Future Domain TMC-88x, why does my system 
     hang when syncing to disk?
  XI.23)  My system is dog slow (ie, 60k/sec)

XII. X11 THE MAXIMUM and MORE
=============================

XII.A. X386 GENERAL INFORMATION
XII.B. HARDWARE REQUIREMENTS: Supported Video cards, mice.

XII.C. LINUX DISTRIBUTION: Files required, Current version.
XII.D. LEARNING/USING X: Pointers to X documentation.

XII.E. DEBUGGING STARTUP PROBLEMS: Checklist, Screen restoration, Hanging.
XII.F. XCONFIG: Video mode settings and common errors in Xconfig.

XII.G. X-APPLICATIONS: Compiling X programs.
XII.H. ATI: SVGA server for ATI boards.

XII.I. BUGS

XII.A. X386 GENERAL INFORMATION
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 XII.01)  What is the X11 release supported by Linux?
 XII.02)  What is X386/xfree86?
 XII.03)  Where can I get X386 1.2 (X11R5)?
 XII.04)  Any tips on compiling X11R5?

XII.B  HARDWARE REQUIREMENTS:
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 XII.05)  What VGA boards are supported?
 XII.06)  What Mouses are supported?
 XII.07)  Does anyone have a working PS/2 mouse? Has anyone gotten the 
     "Mini-DIN" mouse on an HP Vectra 486/33T to work? The slight info I've 
     been able to find says it's PS/2 compatible. Does anyone have a
     working MouseMan on a PS/2 port ?
 XII.08)  I have trouble with my logitech Pilot mouse and X under
     Linux, any clue ? 

XII.C. LINUX DISTRIBUTION
~~~~~~~~~~~~~~~~~~~~~~~~~
 XII.09)  What is the current version?
 XII.10)  What Files do I need to download?
 XII.11)  Where do the X11 files go? What are they?

XII.D.  LEARNING/USING X
~~~~~~~~~~~~~~~~~~~~~~~~
 XII.12)  Where can I find the basic help for learning/using X ?
 XII.13)  What docs are available besides man pages?
 XII.14)  How do I start up X?
 XII.15)  How do I configure X .. colors, menu, keyboard?
 XII.16)  [suggested by Thomas Koenig]
     	How do I support national keyboards in X11 ?

XII.E. DEBUGGING STARTUP PROBLEMS:
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 XII.17)  I cannot type in my xterm 
 XII.18)  What are some of the common omissions and errors?
 XII.19)  Why is the server unable to find some of the fonts?
 XII.20)  My server "hangs" Why?
 XII.21)  When I started X11 I got "Cannot connect to
     server" or "process does not exist", any clue ?
 XII.22)  Why cant I run more than 4 xterms?
     	  How can I have more than 4 pty's ?
 XII.23)  How does X11 start up?
 XII.24)  What devices does X depend on:

XII.F. Xconfig: Xconfig and Video mode settings.
~~~~~~~~~~~~~~~
 XII.25)  What do the mode names in Xconfig mean?
 XII.26)  How do I compute the numbers for the video modes?
 XII.27)  How can I determine the clocks on the video chip?
     	Where can I find clock.exe or clock.pas ?
 XII.28)  What are the settings used with a trident-8900C?
 XII.29)  Oh what, Oh what, Oh what can I do with a trident 8900b?
 XII.30)  What are common problems with Xconfig?
 XII.31)  What do I use in my Xconfig file to use the bus mouse?
     Logitech doesn't work with my Logitech busmouse.
 XII.32)  Where can I get Xconfig-files for various hardware?

XII.G X-APPLICATIONS: Compiling X Programs.
~~~~~~~~~~~~~~~~~~~~~
 XII.33)  Does anyone know where I can find the libobz.a library ?
 XII.34)  I get _setjmp undefined when linking xv from .a files.
 XII.35)  How do I compile an X application that has an Imakefile?
 XII.36)  How do I compile a program that has no Imakefile?
 XII.37)  gcc complains the X libraries are not found or links static.
 XII.38)  When using Makefiles generated by xmkmf why do I get many error 
     	messages?
 XII.39)  (Ton van Rosmalen wrote):
     I recently compiled XFree86 1.2A for Linux and it compiled fine with
     gcc-2.3.3 and libc-4.3.3 iff I skipped the make depend.
 XII.40)  What are the  development tools available for X under Linux?

XII.H ATI: SVGA server for ATI boards.
~~~~~~~~~
 XII.41)  What's new?
 XII.42)  What is the ATI SVGA driver?
 XII.43)  What is the ATI SVGA driver *NOT*?
 XII.44)  What cards will the driver work with?
 XII.45)  What should I put in my Xconfig file?
 XII.46)  What is the history of the driver?
 XII.47)  What is the future of the driver?

XII.I BUGS:
~~~~~~~~~~~

XIII.	NETWORKING and LINUX
============================
XIII.01)  Where can I find useful information about networking for
     Linux ?

XIV.  EVERYTHING FOR PRINTING
=============================
 XIV.01)  What _is_ the lpr/lpd package?
 XIV.02)  What is _the_ Linux lpr/lpd ?
 XIV.03)  How do I get lpr to work properly other than for root? Where
     do the files go and what should their permissions be?
 XIV.04)  Why do I sometimes see /usr/etc or /etc/inet or /usr/etc/inet?  
 XIV.05)  Where do I get a printcap for a xxxxx?
 XIV.06)  What is the content of /etc/printcap?
 XIV.07)  What is the format of a /etc/printcap?
 XIV.08)  My /etc/printcap looks identical to someone else's but it
     doesn't work - why?
 XIV.09)  What's the minimum /etc/printcap?
 XIV.10)  How do I prevent the `staircase effect'?
 XIV.11)  How do I get my printer to go back to the default font after
     each printout?
 XIV.12)  How do I prevent a formfeed at the end of every printout?
 XIV.13)  How do I get burst/banner pages?
 XIV.14)  How do I print text on a ps printer?
 XIV.15)  Why do files with a lot of graphics get truncated?
 XIV.16)  Why doesn't `lpr -i' work?
 XIV.17)  Why doesn't `lpr -p' work?
 XIV.18)  Why does lprm say `too many users'?
 XIV.19)  Why does lpc complain that it hasn't stopped a daemon?
 XIV.20)  How do I print over a Network?
 XIV.21)  Which /dev/lp* is my printer?
 XIV.22)  When the kernel boots it says `using polling driver,' is
     there an interrupt driven driver?
 XIV.23)  What's the difference between the polling driver and an the
     interrupt driven one?
 XIV.24)  How do I write filters?
 XIV.25)  I've written a filter in shell script which works OK when I
     use it from the shell prompt but fails when I tell lpd to use it?
 XIV.26)  When should I define an `of' filter?
 XIV.27)  Where do I get filters for given printers?
 XIV.28)  How do I get a program that won't read from STDIN to act as
     a filter?
 XIV.29)  The set of filters supported by lpd seem strange - why
     aren't there filters for Postscript, GIF, TIFF and so on?
 XIV.30)  What are magic filters?
-- 
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#	LaBRI 			 |					    #
#  351 cours de la Liberation    |  e-mail:  [email-masked]   #
#  33405 Talence Cedex		 |  e-mail:  [email-masked]    #
#  				 |					    #
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-- 
	 There will be a sig when our local net is reliable.
	       For now, I would rather stay anonymous.